Subject: Bug#3973: Home/End keys don't work right in nvi

From: Steve Greenland <[email-masked]>
Date: Sun, 11 Aug 1996 01:13:23 -0500 (CDT)

Marek Michalkiewicz wrote:
> Package: nvi
> Version: 1.34-13
> 
> Linux console:
> [End key doesn't work, Home works fine]
> 
> xterm:
> [Neither works]
> 
> It could be a terminfo problem as well, I don't know.

I think it's terminfo. Nvi is looking at the terminfo
capabilities khome and kll for Home and End, respectively,
which are then mapped into '^' and '$'.

For TERM=linux, khome is correct and kll isn't defined.
For TERM=xterm, the khome in terminfo is not the same
as the keystroke generated in the xterm: I don't know
which is correct. Again, kll isn't defined.

I'm reassigning this to ncurses-bin.

Steve Greenland

-- 
The Mole - I think, therefore I scream 

			"President Reagan has advised the youth of America
			 that it is a good idea to practice total abstinence
			 from sex.  And that is a good suggestion, Mr.
			 President... now tell it to the Marines."
[Mark Russell]